Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1159826 (lxqt-globalkeys) - Review Request: lxqt-globalkeys - Global keys utility for LXQt desktop suite
Summary: Review Request: lxqt-globalkeys - Global keys utility for LXQt desktop suite
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-globalkeys
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1157402 lxqt-runner
TreeView+ depends on / blocked
 
Reported: 2014-11-03 12:52 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 17:58:44 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-11-03 12:52:56 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-globalkeys.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-globalkeys-0.8.0-3.fc21.src.rpm
Description: Global keys utility for LXQt desktop suite
Fedora Account System Username: heliocastro

Comment 1 Rex Dieter 2014-11-07 18:05:32 UTC
naming: ok

license: ok, but could be ammended to
Licence: LGPLv2+

sources: ok
884e0a66f978e58fd13401bcacab1dd7  lxqt-globalkeys-0.8.0.tar.xz

macros: ok

scriptlets: n/a, ok


clean, simple again,
APPROVED.

Comment 3 Mamoru TASAKA 2014-11-08 06:45:07 UTC
* Does not build
  http://koji.fedoraproject.org/koji/taskinfo?taskID=8068598

Comment 4 Rex Dieter 2014-11-08 13:05:16 UTC
The build failures and directory ownership are liblxqt issues (should be fixed now), not here

I was blind to this package needing scriptlets though, need to add:
* .desktop file validation
* ldconfig scriptlets

^^ consider those both MUST blockers items (revoking approval), please resubmit updated .spec/srpm

Comment 6 Rex Dieter 2014-11-10 15:07:08 UTC
looks good, APPROVED.

2 small non-blocking nits:
* I'll have to verify if running desktop-file-edit effectively validates .desktop files or not, else we ought to add an explicit -validate step afterward.
* License: tag still says LGPLv2

Comment 7 Helio Chissini de Castro 2014-11-10 16:38:45 UTC
Confirmed, it validates as well.
No need to run a second desktop-file-validte

License will be changed as enter in the SCM

Comment 8 Helio Chissini de Castro 2014-11-12 15:09:59 UTC
New Package SCM Request
=======================
Package Name: lxqt-globalkeys
Short Description: Global keys utility for LXQt desktop suite
Upstream URL: http://lxqt.org/downloads/lxqt/0.8.0/lxqt-globalkeys-0.8.0.tar.xz
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 9 Rex Dieter 2014-11-20 16:48:18 UTC
New Package SCM Request
=======================
Package Name: lxqt-globalkeys
Short Description: Global keys utility for LXQt desktop suite
Upstream URL: http://lxqt.org/
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 10 Gwyn Ciesla 2014-11-20 17:21:24 UTC
Git done (by process-git-requests).

Comment 11 Rex Dieter 2014-11-20 17:58:44 UTC
imported


Note You need to log in before you can comment on or make changes to this bug.